FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2017 PLD Team
$Revision: 1.37 $
Powered by ufo.
Your IP: 54.166.31.252

AppStream 52ac623e-f2e6-46b7-8757-6af850caac19

Status:Failed
Source URL:ftp://buildlogs.pld-linux.org/th/i686/FAIL/AppStream,52ac623e-f2e6-46b7-8757-6af850caac19.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2017/03/12 15:15:42
Runtime:0:00:06.025678

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.Jy1Y3o/BUILD/tmp/rpm-tmp.34277
  • build
  • Executing(%build): /bin/sh -e /tmp/B.Jy1Y3o/BUILD/tmp/rpm-tmp.19236
  • error 3
  • error: Bad exit status from /tmp/B.Jy1Y3o/BUILD/tmp/rpm-tmp.19236 (%build)
  • error 4
  • RPM build errors:
  • error 5
  • error: No files produced.

Content:

checking if we should skip the build
started at: Sun Mar 12 15:15:11 2017
fetching https://srcbuilder.pld-linux.org/th//srpms/52ac623e-f2e6-46b7-8757-6af850caac19/AppStream-0.10.6-1.src.rpm
fetched 1981794 bytes, 1218.8 K/s
installing srpm: AppStream-0.10.6-1.src.rpm
+ install -d /tmp/B.Jy1Y3o/BUILD /tmp/B.Jy1Y3o/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog AppStream-0.10.6-1.src.rpm
* Sun Mar 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/AppStream.git;a=log;h=master
* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 238c049
- updated to 0.10.6 * Tue Dec 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 3b6d4ef
- updated to 0.10.5 (note: qt library API/ABI break) - removed obsolete libstemmer patch * Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 7564e8a
- updated to 0.10.1 (note: new soname, changed metainfo dir) - added libstemmer patch (adjust to libstemmer include dir in PLD) * Tue Aug 23 2016 Jakub Bogusz <qboosh@pld-linux.org> cc61671
- updated to 0.9.8 * Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 92bc25c
- updated to 0.9.6 * Tue Mar 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 47dec53
- updated to 0.9.3 * Tue Mar 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 1fe43c0
- its dir belongs to gettext now * Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 36752e9
- noarch vala subpackage * Mon Mar 14 2016 Jakub Bogusz <qboosh@pld-linux.org> f496a6a
- updated to 0.9.2 + rpm -Uhv --nodeps --define '_topdir /tmp/B.Jy1Y3o' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' AppStream-0.10.6-1.src.rpm Preparing... ################################################## AppStream ################################################## + rm -f AppStream-0.10.6-1.src.rpm + install -m 700 -d /tmp/B.Jy1Y3o/BUILD/tmp + TMPDIR=/tmp/B.Jy1Y3o/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.Jy1Y3o' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux --define 'prep exit 0' /tmp/B.Jy1Y3o/AppStream.spec Building target platforms: i686-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: error: Failed build dependencies: rpm: publican is needed by AppStream-0.10.6-1.src rpm: Building target platforms: i686-pld-linux updating poldek cache... ready is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-test::packages.ndir.md... th-test is up to date Retrieving th-test::packages.ndir.md... th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 28984 packages read poldek: Removed 2390 duplicate packages from available set poldek: Processing dependencies... poldek: publican-4.3.2-1.noarch marks wkhtmltopdf-0.12.2.4-1.i686 (cap wkhtmltopdf) poldek: There are 2 packages to install (1 marked by dependencies): poldek: I publican-4.3.2-1.noarch poldek: D wkhtmltopdf-0.12.2.4-1.i686 poldek: This operation will use 5.3MB of disk space. poldek: Need to get 1.3MB of archives (1.3MB to download). poldek: poldek: Retrieving [1/2] th::wkhtmltopdf-0.12.2.4-1.i686.rpm... poldek: ..............................done poldek: Retrieving [2/2] th::publican-4.3.2-1.noarch.rpm... poldek: ..............................done poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 1... poldek: Preparing... ################################################## no conflicts found checking BR rpm: error: Failed build dependencies: rpm: publican is needed by AppStream-0.10.6-1.src rpm: Building target platforms: i686-pld-linux installing BR: publican + poldek --noask --caplookup -Q -v --upgrade publican Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 28984 packages read Removed 2390 duplicate packages from available set Processing dependencies... publican-4.3.2-1.noarch marks wkhtmltopdf-0.12.2.4-1.i686 (cap wkhtmltopdf) There are 2 packages to install (1 marked by dependencies): I publican-4.3.2-1.noarch D wkhtmltopdf-0.12.2.4-1.i686 This operation will use 5.3MB of disk space. Need to get 1.3MB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## wkhtmltopdf ################################################## publican ################################################## building RPM using: set -ex; : build-id: 52ac623e-f2e6-46b7-8757-6af850caac19; TMPDIR=/tmp/B.Jy1Y3o/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.Jy1Y3o' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux /tmp/B.Jy1Y3o/AppStream.spec + : build-id: 52ac623e-f2e6-46b7-8757-6af850caac19 + TMPDIR=/tmp/B.Jy1Y3o/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.Jy1Y3o' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target i686-pld-linux /tmp/B.Jy1Y3o/AppStream.spec Building target platforms: i686-pld-linux Executing(%prep): /bin/sh -e /tmp/B.Jy1Y3o/BUILD/tmp/rpm-tmp.34277 + umask 022 + cd /tmp/B.Jy1Y3o/BUILD + cd /tmp/B.Jy1Y3o/BUILD + rm -rf AppStream-0.10.6 + /usr/bin/xz -dc /tmp/B.Jy1Y3o/AppStream-0.10.6.tar.xz + /bin/tar -xf - + STATUS=0 + '[' 0 -ne 0 ']' + cd AppStream-0.10.6 + /bin/id -u + '[' 1001 '=' 0 ']' + /bin/id -u + '[' 1001 '=' 0 ']' + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + exit 0 Executing(%build): /bin/sh -e /tmp/B.Jy1Y3o/BUILD/tmp/rpm-tmp.19236 TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/usr/local/bin:/usr/bin:/bin:/home/users/builder/bin TMPDIR=/tmp/B.Jy1Y3o/BUILD/tmp + umask 022 + cd /tmp/B.Jy1Y3o/BUILD + cd AppStream-0.10.6 + install -d build + cd build + CC=i686-pld-linux-gcc CXX=i686-pld-linux-g++ CPPFLAGS= /usr/bin/cmake '-DCMAKE_VERBOSE_MAKEFILE=ON' '-DCMAKE_BUILD_TYPE=PLD' '-DCMAKE_INSTALL_BINDIR:PATH=/usr/bin' '-DCMAKE_INSTALL_SBINDIR:PATH=/usr/sbin' '-DCMAKE_INSTALL_LIBEXECDIR:PATH=/usr/lib' '-DCMAKE_INSTALL_SYSCONFDIR:PATH=/etc' '-DCMAKE_INSTALL_SHAREDSTATEDIRPATH:PATH=/var/lib' '-DCMAKE_INSTALL_LOCALSTATEDIRPATH:PATH=/var' '-DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib' '-DCMAKE_INSTALL_INCLUDEDIR:PATH=/usr/include' '-DCMAKE_INSTALL_OLDINCLUDEDIR:PATH=/usr/include' '-DCMAKE_INSTALL_DATAROOTDIR:PATH=/usr/share' '-DCMAKE_INSTALL_DATADIR:PATH=/usr/share' '-DCMAKE_INSTALL_INFODIR:PATH=/usr/share/info' '-DCMAKE_INSTALL_LOCALEDIR:PATH=/usr/share/locale' '-DCMAKE_INSTALL_MANDIR:PATH=/usr/share/man' '-DCMAKE_INSTALL_DOCDIR:PATH=/usr/share/doc' '-DCMAKE_INSTALL_PREFIX:PATH=/usr' '-DSYSCONF_INSTALL_DIR:PATH=/etc' '-DCMAKE_CXX_FLAGS_PLD=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -DNDEBUG -DQT_NO_DEBUG' '-DCMAKE_C_FLAGS_PLD=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -DNDEBUG -DQT_NO_DEBUG' '-DCMAKE_Fortran_FLAGS_PLD=-O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -fomit-frame-pointer -march=i686 -fasynchronous-unwind-tables -mtune=pentium4 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -DNDEBUG -DQT_NO_DEBUG' '-DCMAKE_EXE_LINKER_FLAGS_PLD=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' '-DCMAKE_SHARED_LINKER_FLAGS_PLD=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' '-DCMAKE_MODULE_LINKER_FLAGS_PLD=-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' '-DBUILD_SHARED_LIBS:BOOL=ON' .. '-DDOCUMENTATION=ON' '-DQT=ON' '-DVAPI=ON' -- The C compiler identification is GNU 6.3.0 -- The CXX compiler identification is GNU 6.3.0 -- Check for working C compiler: /usr/bin/i686-pld-linux-gcc -- Check for working C compiler: /usr/bin/i686-pld-linux-gcc -- works -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Detecting C compile features -- Detecting C compile features - done -- Check for working CXX compiler: /usr/bin/i686-pld-linux-g++ -- Check for working CXX compiler: /usr/bin/i686-pld-linux-g++ -- works -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Detecting CXX compile features -- Detecting CXX compile features - done -- Compiling AppStream version 0.10.6 -- Found Gettext: /usr/bin/msgmerge (found version "0.19.8.1") -- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.1") -- Checking for module 'glib-2.0>=2.46' -- Found glib-2.0, version 2.50.3 -- Checking for module 'gio-2.0' -- Found gio-2.0, version 2.50.3 -- Checking for module 'gobject-introspection-1.0' -- Found gobject-introspection-1.0, version 1.50.0 -- Found LibXml2: /usr/lib/libxml2.so (found version "2.9.4") -- Checking for module 'yaml-0.1' -- Found yaml-0.1, version 0.1.7 CMake Deprecation Warning at /usr/share/cmake/Modules/GenerateExportHeader.cmake:386 (message): The add_compiler_export_flags function is obsolete. Use the CXX_VISIBILITY_PRESET and VISIBILITY_INLINES_HIDDEN target properties instead. Call Stack (most recent call first): qt/CMakeLists.txt:6 (add_compiler_export_flags) -- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY -- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY - Success -- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY -- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY - Success -- Performing Test COMPILER_HAS_DEPRECATED_ATTR -- Performing Test COMPILER_HAS_DEPRECATED_ATTR - Success CMake Error at /usr/lib/cmake/Qt5/Qt5Config.cmake:26 (find_package): Could not find a package configuration file provided by "Qt5Test" with any of the following names: Qt5TestConfig.cmake qt5test-config.cmake Add the installation prefix of "Qt5Test" to CMAKE_PREFIX_PATH or set "Qt5Test_DIR" to a directory containing one of the above files. If "Qt5Test" provides a separate development package or SDK, be sure it has been installed. Call Stack (most recent call first): qt/tests/CMakeLists.txt:3 (find_package) -- Configuring incomplete, errors occurred! See also "/tmp/B.Jy1Y3o/BUILD/AppStream-0.10.6/build/CMakeFiles/CMakeOutput.log". error: Bad exit status from /tmp/B.Jy1Y3o/BUILD/tmp/rpm-tmp.19236 (%build) RPM build errors: Bad exit status from /tmp/B.Jy1Y3o/BUILD/tmp/rpm-tmp.19236 (%build) ended at: Sun Mar 12 15:15:42 2017, done in 0:00:06.025678 error: No files produced. + chmod -R u+rwX /tmp/B.Jy1Y3o/BUILD + rm -rf /tmp/B.Jy1Y3o/tmp /tmp/B.Jy1Y3o/BUILD + rm -rf /tmp/B.Jy1Y3o Begin-PLD-Builder-Info Build-Time: user:9.54s sys:1.73s real:31.47s (faults io:0 non-io:460948) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]